SSL Wrong Version error

182
3
05-17-2021 11:20 AM
Labels (2)
dgiersz_cuyahoga
New Contributor II

We have a proxy for all our web traffic and use the proxy_host/proxy_port parameters when connecting to AGOL from Notebooks in Pro. This worked fine until we upgraded to Pro 2.8 and we now receive SSL errors:

---------------------------------------------------------------------------
SSLError                                  Traceback (most recent call last)
In  [3]:
Line 1:     gis = GIS(proxy_host='XXX.XXXXXXXX.XX', proxy_port=XXXX, verify_cert=False)

File C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\Lib\site-packages\arcgis\gis\__init__.py, in __init__:
Line 359:   raise e

File C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\Lib\site-packages\arcgis\gis\__init__.py, in __init__:
Line 343:   trust_env=kwargs.get("trust_env", None))

File C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\Lib\site-packages\arcgis\gis\_impl\_portalpy.py, in __init__:
Line 173:   self.get_properties(True)

File C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\Lib\site-packages\arcgis\gis\_impl\_portalpy.py, in get_properties:
Line 1138:  raise e

File C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\Lib\site-packages\arcgis\gis\_impl\_portalpy.py, in get_properties:
Line 1126:  resp = self.con.post(path, self._postdata(), ssl=True)

File C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\Lib\site-packages\arcgis\gis\_impl\_con\_connection.py, in post:
Line 690:   "Please set verify_cert=False due to encountered SSL error: %s" % err)

SSLError: Please set verify_cert=False due to encountered SSL error: HTTPSConnectionPool(host='www.arcgis.com', port=443): Max retries exceeded with url: /sharing/rest/portals/self (Caused by SSLError(SSLError(1, '[SSL: WRONG_VERSION_NUMBER] wrong version number (_ssl.c:1091)')))
---------------------------------------------------------------------------

The URLs for both HTTP and HTTPS traffic are the same for our proxy.

Has anyone else encountered this?

3 Replies
Bart-JanSchoenmakers
New Contributor III

Happened the same to me when upgrading to 2.8, didn't find any solution.

Would it be possible to define something in .condarc file? Downgrading to AGPRO 2.7 might help, until ESRI solves this problem. 

dgiersz_cuyahoga
New Contributor II

I did put our proxy in the .condarc file but it didn't help (other than conda could connect to the online repositories).

I've opened a support case with Esri, hopefully they can help.

Downgrading to 2.7 does work and we're also using AGOL Notebooks in the meantime.

0 Kudos
MarkNordheim1
New Contributor

I have encounter the same problem. I don't have any solutions, but I wanted to post here as extra evidence that this needs to be addressed.

0 Kudos